## class SSDObjectNode : public StringListNode

> object class (TSSD) node class.

## Inheritance:

### Public Methods

  | SSDObjectNode (SSDGraph *g)
  Subject* | Clone ()
  int | GetClassType () const
  StringListNode::StringErrorType | SetString ( const string *s, unsigned n, bool update)

### Inherited from StringListNode:

### Public Classes

enum StringErrorType

### Public Methods

const string* GetString(unsigned n)
unsigned NrStrings()
const string* GetStringListLabel()
const string* GetStringLabel()
void SetStringListLabel(const string *s)
void SetStringListLabel(const char *s)
void SetStringLabel(const string *s)
void SetStringLabel(const char *s)
bool HasString(const string *s)
void WriteMembers(OutputFile *f)
bool ReadMembers(InputFile *f, double format)

### Protected Methods

List <string *> * GetStringList()

### Inherited from Node:

### Public Methods

bool IsEdge() const
bool InGraph() const
const string* GetIndex() const
virtual Subject::NameErrType SetIndex(const string *s)
void GetParentIndex(string *pindex)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

bool IsSubject() const
const string* GetName() const
virtual NameErrType SetName(const string *s)
bool SetReferences(AssocList *)
bool CheckReferences()
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
void Write(OutputFile *ofile)

## Documentation

> object class (TSSD) node class.

`SSDObjectNode(SSDGraph *g)`

`Subject* Clone()`

`int GetClassType() const`

`StringListNode::StringErrorType SetString( const string *s, unsigned n, bool update)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de